Bug 189583 - gdm upgrade result in twm session
gdm upgrade result in twm session
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Depends On:
  Show dependency treegraph
Reported: 2006-04-21 08:27 EDT by Renato Ramonda
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-08-20 17:47:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Renato Ramonda 2006-04-21 08:27:29 EDT
Description of problem:

After upgrading gdm with yum i cannot login in my normal gnome session. Logging
in results in a default twm session.

Choosing a gnome-failsafe session seems to work, but even this is not saved.

Version-Release number of selected component (if applicable):

This problem showed with every update of the gdm package since the upgrade of my
install from Fedora Core 4 to Fedora Core 5

Actual results:

TWM session

Expected results:

My normal gnome session

Additional info:

If i remove gdm and reinstall it, all goes well.
I guess something in the rpm is not quite right regarding the configuration files.

When removing the package, the file /etc/gdm/custom.conf is saved as .rpmsave,
and rebuilt from scratch, so I suspect something in the config file upgrade
machinery is going wrong.
Comment 1 Ray Strode [halfline] 2007-08-20 17:47:43 EDT
We kind of missed the boat on fixing this one I think, closing.

Note You need to log in before you can comment on or make changes to this bug.